# Module: Cri::CoreExtensions::String Deprecated

Included in:
  String

Defined in:
  lib/cri/core_ext/string.rb

## Overview

Deprecated.

## Instance Method Summary collapse

- #formatted_as_command ⇒ Object
- #formatted_as_option ⇒ Object
- #formatted_as_title ⇒ Object
- #to_paragraphs ⇒ Object
- #wrap_and_indent(width, indentation) ⇒ Object

## Instance Method Details

### #formatted_as_command ⇒ `Object`

See Also:

- StringFormatter#format_as_command

    23
    24
    25

    # File 'lib/cri/core_ext/string.rb', line 23

    def formatted_as_command
      Cri::StringFormatter.new.format_as_command(self)
    end

### #formatted_as_option ⇒ `Object`

See Also:

- StringFormatter#format_as_option

    28
    29
    30

    # File 'lib/cri/core_ext/string.rb', line 28

    def formatted_as_option
      Cri::StringFormatter.new.format_as_option(self)
    end

### #formatted_as_title ⇒ `Object`

See Also:

- StringFormatter#format_as_title

    18
    19
    20

    # File 'lib/cri/core_ext/string.rb', line 18

    def formatted_as_title
      Cri::StringFormatter.new.format_as_title(self)
    end

### #to_paragraphs ⇒ `Object`

See Also:

- StringFormatter#to_paragraphs

    8
    9
    10

    # File 'lib/cri/core_ext/string.rb', line 8

    def to_paragraphs
      Cri::StringFormatter.new.to_paragraphs(self)
    end

### #wrap_and_indent(width, indentation) ⇒ `Object`

See Also:

- StringFormatter#to_paragraphs

    13
    14
    15

    # File 'lib/cri/core_ext/string.rb', line 13

    def wrap_and_indent(width, indentation)
      Cri::StringFormatter.new.wrap_and_indent(self, width, indentation)
    end